Package Details: handbrake-cli-git 1:1.2.0.r377.ga5590df40-1

Git Clone URL: https://aur.archlinux.org/handbrake-git.git (read-only)
Package Base: handbrake-git
Description: Multiplatform, multithreaded DVD to MPEG-4/H264/Theora converter (CLI version)
Upstream URL: http://handbrake.fr/
Licenses: GPL
Conflicts: handbrake-cli
Provides: handbrake-cli
Submitter: haawda
Maintainer: FabioLolix
Last Packager: haawda
Votes: 102
Popularity: 0.000121
First Submitted: 2015-08-30 09:06
Last Updated: 2019-05-04 16:05

Required by (1)

Sources (8)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

moonman commented on 2019-10-04 04:33

All contrib depends are outdated, and should not be manually downloaded in PKGBUILD as it is a waste of time (newer versions are automatically downloaded by the build script).

graysky commented on 2019-04-27 16:37

Can you add numactl as a build dependency? It won't build without numa.h being installed.

Agreed:

probe: numa...(fail) code 1
  : Package numa was not found in the pkg-config search path.
  : Perhaps you should add the directory containing `numa.pc'
  : to the PKG_CONFIG_PATH environment variable
  : Package 'numa', required by 'virtual:world', not found
  : ['conftest.c:2:10: fatal error: numa.h: No such file or directory', ' #include <numa.h>', '          ^~~~~~~~', 'compilation terminated.']
==> ERROR: A failure occurred in build().
    Aborting...

It also needs to be a dep or else the resulting binary will not work.

billy.wade commented on 2019-04-20 13:17

Can you add numactl as a build dependency? It won't build without numa.h being installed.

haawda commented on 2018-08-23 17:29

Cannot reproduce, I build this on almost daily basis.

billy.wade commented on 2018-08-23 14:35

The latest PGKBUILD appears to ask HandBrake to look for libx264.so.152, which is no longer current. The AUR build doesn't run, complaining the file doesn't exist, but building from the git repo directly runs fine.

EDIT: Just realized this comment is mine. Yeah, you're right, my system was just being screwy.

haawda commented on 2018-07-18 05:40

Added configure flags as suggested, and fixed dependencies.

ei8ht commented on 2018-07-17 17:40

suggest adding "--enable-nvenc --enable-qsv" to the configure options in the pkgbuild as latest git builds support accelerated encoding.

FabioLolix commented on 2018-06-04 04:59

epoch=() was not needed, you forgot to update noextract=() which cause the error seen in the comment below

kIERO commented on 2018-06-04 00:10

Gives me error

cp: cannot stat '../libav-12.2.tar.gz': No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting...

(2018-06-04 12:54, Fixed)

vorbote commented on 2017-11-27 18:49

Please update dependencies to:

https://download.handbrake.fr/handbrake/contrib/fdk-aac-0.1.5.tar.gz
https://download.handbrake.fr/handbrake/contrib/libav-12.2.tar.gz
https://download.handbrake.fr/handbrake/contrib/libbluray-1.0.1.tar.bz2
https://download.handbrake.fr/handbrake/contrib/libdvdnav-5.0.3.tar.bz2
https://download.handbrake.fr/handbrake/contrib/libdvdread-5.0.3.tar.bz2
https://download.handbrake.fr/handbrake/contrib/libvpx-1.6.1.tar.bz2
https://download.handbrake.fr/handbrake/contrib/x265_2.5.tar.gz

sha256 checksums:

'2164592a67b467e5b20fdcdaf5bd4c50685199067391c6fcad4fa5521c9b4dd7'
'49c3ccda32458192c00ab25b30f4d1a6a4772b83458cbbf3a25b210d0688f55c'
'0f9f9a1db2f48cafc70ed2596ff3594b597e2027408f5f2be6191c245d67853a'
'5097023e3d2b36944c763f1df707ee06b19dc639b2b68fb30113a5f2cbf60b6d'
'321cdf2dbdc83c96572bc583cd27d8c660ddb540ff16672ecb28607d018ed82b'
'1c2c0c2a97fba9474943be34ee39337dee756780fc12870ba1dc68372586a819'
'2e53259b504a7edb9b21b9800163b1ff4c90e60c74e23e7001d423c69c5d3d17'